Preparing the way for emacs22 with many individual package updates

Alexandre Vassalotti avassalotti at ubuntu.com
Thu Jul 5 17:16:45 BST 2007


On 7/4/07, Michael Olson <mwolson at gnu.org> wrote:
> I'm starting to go through each of the Emacs Lisp packages I use and
> make certain that they would work with a theoretical emacs22 package.
> I've also fixed lintian warnings and other errors along the way, and
> submitted fixes back to the Debian package maintainers.

I think currently the most annoying bug is the semantic-mode one:

  https://bugs.launchpad.net/ubuntu/+source/emacs-snapshot/+bug/93667

There is a fix described at:
http://www.togaware.com/linux/survivor/Emacs_Using.html

However, I think it would be better to just update the whole cadet
package to the latest release (1.0pre4), which fixes this bug and a
few others. I will try to contact the current maintainer of the debian
package to see if he's working on it, otherwise I will package it
myself.

Keep the good work,
-- Alexandre



More information about the Ubuntu-motu mailing list